
<?php
/**
Template Name : Erp Print
**/
if ( ! defined( 'ABSPATH' ) ) exit;

 $event_id=sanitize_text_field($_GET['print_event']);
 $loc_id=sanitize_text_field($_GET['loc_id']);

 
 if(!empty($loc_id)){

	  $home_url=get_site_url();
	
	 $current_url = "http://".$_SERVER['HTTP_HOST'].esc_url($_SERVER['REQUEST_URI']);
	  
	  $sendcron_url=get_site_url().'/events/?print_event=sendPendingEmail';
	  $event_display_settings=array();
 	  $event_display_settings = get_option("erp_event_display_settings"); 
	  $dateformat=$event_display_settings['erp_event_display_settings_formatdate'];
	  $timeformat=$event_display_settings['erp_event_display_settings_formattime'];

		
	 global $wpdb;
	 $single_post = $wpdb->get_results(' SELECT * FROM '.$wpdb->posts.' WHERE post_type="erp_event" AND post_status="publish" AND  ID="'.$event_id.'"');
	 
	 $terms = get_terms( array(
		'taxonomy' => 'erp-event-category',
		'hide_empty' => false,
	) );
	foreach($single_post as $spost){
	
		$meta =get_post_meta($spost->ID);
		
	$single_post_event_location = $wpdb->get_results(' SELECT * FROM '.$wpdb->posts.' WHERE post_status="publish" AND post_type="erp_locations" AND ID="'.$meta['erp_event_location'][0].'"');
	$loc_meta=array();
	foreach($single_post_event_location as $loc_post){
                  
         $loc_meta =get_post_meta($loc_post->ID);
	}
	

?>
	<table cellspacing="0" cellpadding="0" width="95%" align="center" border="0">
	<tbody><tr>
		<td colspan="3">
		
		</td>
	
		</tr>
		<tr>
			<td colspan="3">
		<div style="text-align:right;">
		<a href="#" onclick="window.print();return false;"><img src="<?php echo plugin_dir_url( dirname( __FILE__ ) ) . 'templates/event_print.png'; ?>" alt="MENU_EVENT_PRINT"></a>
		</div>
		<h1><?php echo $spost->post_title; ?></h1>
			</td>
		</tr>
	
			
		<tr>
			<td width="35%" valign="top">  <?php echo __( 'Registration for this event is open from:', 'event-registration-pro' );?> </td>
	
			<td colspan="2">
						<?php echo dateformat_function($meta['erp_event_registration_starts_date'][0]);?> <?php echo date($timeformat, strtotime($meta['erp_event_registration_starts_time'][0]));?>  - <?php echo dateformat_function($meta['erp_event_registration_ends_date'][0]);?> <?php echo date($timeformat, strtotime($meta['erp_event_registration_ends_time'][0]));?>				
			</td>
		</tr>
		<tr>
			<td> Where: </td>
			<td colspan="2" class="regpro_vtop_aleft">
				  <a itemprop="url" href="<?php echo $loc_meta['erp_event_location_manager_location_url'][0]?>" target="_blank"><?php echo $loc_post->post_title;?></a>
				 <p> <?php echo $loc_meta['erp_event_location_manager_street'][0].','.$loc_meta['erp_event_location_manager_city_state'][0].','.$loc_meta['erp_event_location_manager_zip'][0].','.$loc_meta['erp_event_location_manager_phone'][0].','.$loc_meta['erp_event_location_manager_country'][0];?></p>
				 <p><?php echo apply_filters('the_content',$loc_post->post_content);?></p>
				 <p></p>		
		   </td>
		</tr>	
		<tr>
			<td> Date:</td>	
			<td colspan="2">				
			<?php echo dateformat_function($meta['erp_event_date'][0]);?>  - <?php echo dateformat_function($meta['erp_event_enddate'][0]);?>			</td>
		</tr>
		<tr>
			<td> Time:</td>	
			<td colspan="2">				
			<?php echo date($timeformat, strtotime($meta['erp_event_time'][0]));?>  - <?php echo date($timeformat, strtotime($meta['erp_event_endtime'][0]));?>			            </td>
		</tr>
	
		<tr>
			<td colspan="3"><b style="font-size:14px;">  <?php echo __( 'Event description:', 'event-registration-pro' );?></b></td>
		</tr>
	
		<tr>
			<td colspan="3">
				<?php echo apply_filters('the_content', $spost->post_content);?>	
			 </td>
		</tr>
			
		<tr><td colspan="20" align="center"><?php echo get_the_post_thumbnail($spost->ID);?></td></tr>
			
	</tbody></table>
<?php

		}
		
 }