<?php
if ( ! defined( 'ABSPATH' ) ) exit;
class Event_Registration_Pro_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {

	}
	function insert_record_emails(){
    global $wpdb;
	
	$Post_Title_Check = get_page_by_title('Event Admin Notification', OBJECT, 'erp_email_template' );
	if($Post_Title_Check->ID == '' && empty($Post_Title_Check)) {
   
    $my_post = array(
        'post_title'    => 'Event Admin Notification',
        'post_content'  => 'This is my Event Admin Notification Details.',
        'post_status'   => 'publish',
        'post_author'   => 1,
        'post_type' =>'erp_email_template',
        'post_category' => array( 8,39 )
    );
    $rs_first=wp_insert_post( $my_post );
	}
    if ( is_wp_error( $rs_first ) ) {
        // Error handling
    } else {
        // the rest of your code, inserting metadata
        update_post_meta( $rs_first, 'erp_email_template_subject', 'Event Admin Notification - New event registration to: {eventtitle}' );
        update_post_meta( $rs_first, 'erp_email_template_registrant_confirmation', 'Admin Notification' );
		update_post_meta( $rs_first, 'erp_email_template_registrant_confirmation', 'Admin Notification' );
		update_post_meta($rs_first, 'erp_email_template_static', 'static_email_template');
		update_post_meta($rs_first, 'erp_email_template_selection', 'admin_notification_tmpl');
        update_post_meta( $rs_first, 'erp_email_template_email_body', "Dear Event Admin of {sitename},

{fullname} has registered to the event: {eventtitle}

Note: You are receiving this email because your email is entered as the admin notification email in the event system's configuration settings.

The registration details are:

{registrationdetails}
" );
    }
	
  
	$Post_Title_Check1 = get_page_by_title('Pending Registration Followup', OBJECT, 'erp_email_template' );
    if($Post_Title_Check1->ID == '' && empty($Post_Title_Check1)) {	 
		$my_post = array(
			'post_title'    => 'Pending Registration Followup',
			'post_content'  => 'This is my Pending Registration Followup Details.',
			'post_status'   => 'publish',
			'post_author'   => 1,
			'post_type' =>'erp_email_template',
			'post_category' => array( 8,39 )
		);
		$rs_second=wp_insert_post( $my_post );
	 }
    if ( is_wp_error( $rs_second ) ) {
        // Error handling
    } else {
        // the rest of your code, inserting metadata
        update_post_meta( $rs_second, 'erp_email_template_subject', 'Your event registration is incomplete for {eventtitle}' );
        update_post_meta( $rs_second, 'erp_email_template_registrant_confirmation', 'Pending Registration' );
		update_post_meta($rs_second, 'erp_email_template_static', 'static_email_template');
		update_post_meta($rs_first, 'erp_email_template_selection', 'pending_registration_tmpl');
        update_post_meta( $rs_second, 'erp_email_template_email_body', "Hello {fullname},

We have noticed that you started to register to {eventtitle} and your registration is in pending status and currently incomplete.

Please click the following link to complete your event registsration.

{resumepaymentlink}

If you are having problems with your registration please contact us and we will be happy to assist you.

Regards,
{sitename}" );
    }
    $Post_Title_Check2 = get_page_by_title('Event Moderator Template', OBJECT, 'erp_email_template' );
    if($Post_Title_Check2->ID == '' && empty($Post_Title_Check2)) {	
		$my_post = array(
			'post_title'    => 'Event Moderator Template',
			'post_content'  => 'This is my Event Moderator Template Details.',
			'post_status'   => 'publish',
			'post_author'   => 1,
			'post_type' =>'erp_email_template',
			'post_category' => array( 8,39 )
		);
		$rs_third=wp_insert_post( $my_post );
	}
    if ( is_wp_error( $rs_third ) ) {
        // Error handling
    } else {
        // the rest of your code, inserting metadata
        update_post_meta( $rs_third, 'erp_email_template_subject', 'Event Moderator - A new event requires moderation' );
        update_post_meta( $rs_third, 'erp_email_template_registrant_confirmation', 'Moderator' );
		update_post_meta($rs_third, 'erp_email_template_static', 'static_email_template');
		update_post_meta($rs_first, 'erp_email_template_selection', 'event_moderator_tmpl');
        update_post_meta( $rs_third, 'erp_email_template_email_body', 'A new event has been created by a front end user and this event requires moderation before it can be publised.

The event is named: {eventtitle}

Please review the event and publish as neccesary.' );
    }
	$Post_Title_Check3 = get_page_by_title('Registrant Confirmation Template', OBJECT, 'erp_email_template' );
    if($Post_Title_Check3->ID == '' && empty($Post_Title_Check3)) {	
		$my_post = array(
			'post_title'    => 'Registrant Confirmation Template',
			'post_content'  => 'This is my Event Registrant Confirmation Template Details.',
			'post_status'   => 'publish',
			'post_author'   => 1,
			'post_type' =>'erp_email_template',
			'post_category' => array( 8,39 )
		);
		$rs_four=wp_insert_post( $my_post );
	}
    if ( is_wp_error( $rs_four ) ) {
        // Error handling
    } else {
        // the rest of your code, inserting metadata
        update_post_meta( $rs_four, 'erp_email_template_subject', 'Congratulations! You are registered to {eventtitle}' );
        update_post_meta( $rs_four, 'erp_email_template_registrant_confirmation', 'Registrant Confirmation' );
		update_post_meta($rs_first, 'erp_email_template_selection', 'registrant_confirmation_tmpl');
		//update_post_meta($rs_four, 'erp_email_template_static', 'static_email_template');
        update_post_meta( $rs_four, 'erp_email_template_email_body', 'Dear {fullname}, 
You have been successfuly registered to the event named: {eventtitle}

This event will take placeon {eventstart} at {location}.

We look forward to seeing your there.

We have the following registration details on file for your registration.

{registrationdetails}

{transactiondetails}' );
    }
	$Post_Title_Check4 = get_page_by_title('Organizer Notification Template', OBJECT, 'erp_email_template' );
    if($Post_Title_Check4->ID == '' && empty($Post_Title_Check4)) {	
		   $my_post = array(
			'post_title'    => 'Organizer Notification Template',
			'post_content'  => 'This is my Event Organizer Notification Template Details.',
			'post_status'   => 'publish',
			'post_author'   => 1,
			'post_type' =>'erp_email_template',
			'post_category' => array( 8,39 )
		);
		$rs_five=wp_insert_post( $my_post );
	}
    if ( is_wp_error( $rs_five ) ) {
        // Error handling
    } else {
        // the rest of your code, inserting metadata
        update_post_meta( $rs_five, 'erp_email_template_subject', 'Event Organizer Notification - New event registration to: {eventtitle}' );
        update_post_meta( $rs_five, 'erp_email_template_registrant_confirmation', 'Organizer Confirmation' );
		update_post_meta($rs_first, 'erp_email_template_selection', 'organizer_confirmation_tmpl');
		//update_post_meta($rs_five, 'erp_email_template_static', 'static_email_template');
        update_post_meta( $rs_five, 'erp_email_template_email_body', 'Dear Event Organizer,

{fullname} has registered to the event: {eventtitle}

Note: You are receiving this email because your email is entered as the organizer notification email in the event system`s settings for the above mentioned event.

The registration details are:

{registrationdetails} ' );
    }
	$Post_Title_Check5 = get_page_by_title('Reminder Template', OBJECT, 'erp_email_template' );
    if($Post_Title_Check5->ID == '' && empty($Post_Title_Check5)) {	
		 $my_post = array(
			'post_title'    => 'Reminder Template',
			'post_content'  => 'This is my Event Reminder Template Details.',
			'post_status'   => 'publish',
			'post_author'   => 1,
			'post_type' =>'erp_email_template',
			'post_category' => array( 8,39 )
		);
		$rs_six=wp_insert_post( $my_post );
	}
    if ( is_wp_error( $rs_six ) ) {
        // Error handling
    } else {
        // the rest of your code, inserting metadata
        update_post_meta( $rs_six, 'erp_email_template_subject', 'Reminder for {eventtitle}' );
        update_post_meta( $rs_six, 'erp_email_template_registrant_confirmation', 'Reminder Notification' );
		update_post_meta($rs_first, 'erp_email_template_selection', 'reminder_confirmation_tmpl');
		//update_post_meta($rs_six, 'erp_email_template_static', 'static_email_template');
        update_post_meta( $rs_six, 'erp_email_template_email_body', 'Hello {fullname},

This is a reminder that you are registered to the event {eventtitle}.

The event will start on {eventstart}.

We look forward to seeing you there.

Regards,
The event managment team ' );
    }
	$Post_Title_Check6 = get_page_by_title('Invoice', OBJECT, 'erp_email_template' );
    if($Post_Title_Check6->ID == '' && empty($Post_Title_Check6)) {	
		$my_post = array(
			'post_title'    => 'Invoice',
			'post_content'  => 'This is my Event Reminder Template Details.',
			'post_status'   => 'publish',
			'post_author'   => 1,
			'post_type' =>'erp_email_template',
			'post_category' => array( 8,39 )
		);
		$rs_last=wp_insert_post( $my_post );
	}
    if ( is_wp_error( $rs_last ) ) {
        // Error handling
    } else {
        // the rest of your code, inserting metadata
        update_post_meta( $rs_last, 'erp_email_template_subject', 'Invoice for registration to {eventtitle}' );
        update_post_meta( $rs_last, 'erp_email_template_registrant_confirmation', 'Invoice' );
		update_post_meta($rs_first, 'erp_email_template_selection', 'invoice_confirmation_tmpl');
		//update_post_meta($rs_six, 'erp_email_template_static', 'static_email_template');
        update_post_meta( $rs_last, 'erp_email_template_email_body', '
		<p>Thanks for registering and your payment for {eventtitle},</p>
		<p>Your invoice details are below.</p>
		<table>
		<tbody>
		<tr>
		<td><strong>Registrant Name:</strong></td>
		<td>{fullname}</td>
		</tr>
		<tr>
		<td><strong>Event Name:</strong></td>
		<td>{eventtitle}</td>
		</tr>
		<tr>
		<td><strong>Registration ID #:</strong></td>
		<td>{registrationid}</td>
		</tr>
		</tbody>
		</table>
		<p>{transactiondetails}</p> ' );
    }
}
function auto_nav_creation_primary(){
	
	/*main setting save */
	/*general_setting*/
	global $wp_rewrite;
	update_option('permalink_structure','/%postname%/');
	$wp_rewrite->set_permalink_structure('/%postname%/');
	$event_general_settings['erp_event_general_settings_boot_style']='Yes';
	update_option('erp_event_general_settings',$event_general_settings);
	update_option( 'admin_popup','term_condition' );	
	/*Event Handling*/
	$event_handling['erp_event_handling_archiveby']='Event end date';
	$event_handling['erp_event_handling_oldevent']='Archive old events';
	$event_handling['erp_event_handling_disable_remiders']='No';
	$event_handling['erp_event_handling_minus']='0';
	update_option('erp_event_handling',$event_handling);
	
	/*Registration Handling*/
	
	$registartion_handling['erp_event_registration_settings_duplicate_email_registration']='Yes';
	$registartion_handling['erp_event_registration_settings_include_pending_reg']='Yes';
	$registartion_handling['erp_event_registration_settings_default_email_to_pending_reg']='Yes';
	$registartion_handling['erp_event_registration_settings_default_email_to_pending_reg_days']='0';
	$registartion_handling['erp_event_registration_settings_delete_pending_reg']='No';
	$registartion_handling['erp_event_registration_settings_default_delete_days']='0';
	
	update_option('erp_event_registration_settings',$registartion_handling);
	
	/*display setting*/
	
 	$display_settings['erp_event_display_settings_eventlistordering'] = 'Event Title';
	$display_settings['erp_event_display_settings_showhead'] = 'Yes';
	$display_settings['erp_event_display_settings_show_footer'] = 'Yes';
	$display_settings['erp_event_display_settings_listing_button'] = 'Accordion Category View';
	$display_settings['erp_event_display_settings_formatdate'] = 'M j, Y';
	$display_settings['erp_event_display_settings_formattime'] = 'g:i, a';
	$display_settings['erp_event_display_settings_timezone_offset'] = 'America/Chicago';
	$display_settings['erp_event_display_settings_rss_enable'] = 'Yes';
	$display_settings['erp_event_display_settings_thankspagelink'] = '';
	$display_settings['erp_event_display_settings_event_terms_and_conditions'] = 'Yes';
	$display_settings['erp_event_display_settings_accepted_registration_reports'] = 'Yes';
	$display_settings['erp_event_display_settings_featured_bg_color'] = '94FFA6';
	$display_settings['erp_event_display_settings_featured_text_color'] = '000000';
	$display_settings['erp_event_display_settings_showeventdates'] ='Yes';
	$display_settings['erp_event_display_settings_showeventtimes'] ='Yes';
	$display_settings['erp_event_display_settings_showlocationcolumn'] ='Yes';
	$display_settings['erp_event_display_settings_showshortdescriptioncolumn'] ='Yes';
	$display_settings['erp_event_display_settings_showcategory1'] ='Yes';
	$display_settings['erp_event_display_settings_maxseat'] ='Yes';
	$display_settings['erp_event_display_settings_pendingseat'] ='Yes';
	$display_settings['erp_event_display_settings_registeredseat'] ='Yes';
	$display_settings['erp_event_display_settings_show_poster_cal'] = 'No';
	$display_settings['erp_event_display_settings_show_all_dates_in_calendar'] ='Yes';
	$display_settings['erp_event_display_settings_calendar_weekday'] = 'Sunday';
	$display_settings['erp_event_display_settings_show_max_seats_on_details_page'] ='Yes';
	$display_settings['erp_event_display_settings_show_avaliable_seats_on_details_page'] ='Yes';
	$display_settings['erp_event_display_settings_show_registered_seats_on_details_page']='Yes';
	$display_settings['erp_event_display_settings_showtime'] ='Yes';
    $display_settings['erp_event_display_settings_showevdesc'] ='Yes';
    $display_settings['erp_event_display_settings_showtitle'] ='Yes';
    $display_settings['erp_event_display_settings_showlocation'] ='Yes';
    $display_settings['erp_event_display_settings_showurl'] ='Yes';
    $display_settings['erp_event_display_settings_showmapserv'] ='Yes';
    $display_settings['erp_event_display_settings_showcategory'] ='Yes';
   
    $display_settings['erp_event_display_settings_session_dateformat'] ='M j, Y';
    $display_settings['erp_event_display_settings_session_timeformat'] ='g:i, a';
    $display_settings['erp_event_display_settings_circle_bg_color'] ='656464';
    $display_settings['erp_event_display_settings_days'] ='Days';
    $display_settings['erp_event_display_settings_days_color'] ='3C76FC';
    $display_settings['erp_event_display_settings_hours'] ='Hours';
    $display_settings['erp_event_display_settings_hours_color'] ='53FE5A';
    $display_settings['erp_event_display_settings_mins'] = 'Minites';
    $display_settings['erp_event_display_settings_mins_color'] ='FF6505';
    $display_settings['erp_event_display_settings_secs'] ='second';
    $display_settings['erp_event_display_settings_sec_color'] ='FE1EFA';
    $display_settings['erp_event_display_settings_cats_limit'] = '4';
    $display_settings['erp_event_display_settings_cats_per_row'] ='4';
    $display_settings['erp_event_display_settings_show_catimage'] ='Yes';
    $display_settings['erp_event_display_settings_show_catname'] ='Yes';
    $display_settings['erp_event_display_settings_show_noevent'] ='Yes';
    $display_settings['erp_event_display_settings_show_shortdesc'] ='Yes';
    $display_settings['erp_event_display_settings_show_viewevent'] ='Yes';
	update_option('erp_event_display_settings',$display_settings);
	
	/*Image setting*/
	
	$image_setting['erp_event_image_settings_show_poster'] ='Yes';
    $image_setting['erp_event_image_settings_event_thumb_width'] =''; 
    $image_setting['erp_event_image_settings_event_thumb_height'] ='';
    $image_setting['erp_event_image_settings_thumb_height_auto']='Yes';
    $image_setting['erp_event_image_settings_show_banner'] ='Yes';
    $image_setting['erp_event_image_settings_event_banner_width'] ='';
    $image_setting['erp_event_image_settings_event_banner_height'] =''; 
    $image_setting['erp_event_image_settings_banner_height_auto']='Yes';
    $image_setting['erp_event_image_settings_cat_image_width'] ='';
    $image_setting['erp_event_image_settings_cat_image_height'] ='';
    $image_setting['erp_event_image_settings_cat_height_auto'] ='Yes';
 	update_option('erp_event_image_settings',$image_setting);
	 
	
	/*
	$name = 'Event Registration Menu';
	//$menu_exists = wp_get_nav_menu_object($name);
	//if( !$menu_exists){
		$menu_id = wp_create_nav_menu($name);
		$menu = get_term_by( 'id', $menu_id, 'nav_menu' );
		$menu_items = wp_get_nav_menu_items($menu->term_id);
		$menuname_arr=array();
		foreach($menu_items as $menuname){
			 $menuname->post_name;
			 array_push($menuname_arr,$menuname->post_name);			
		}
		
				
		//if ( !in_array("event-list-3", $menuname_arr)){
			
			wp_update_nav_menu_item($menu->term_id, 0, array(
			'menu-item-title' =>  __('Event List'),
			'menu-item-classes' => 'event-list',
			'menu-item-url' => home_url( '/event-list' ),
			//'menu-item-type' => 'page',
			'menu-item-status' => 'publish'));
			
		//}
		//if ( !in_array("calendar", $menuname_arr)){
			
			wp_update_nav_menu_item($menu->term_id, 0, array(
			'menu-item-title' =>  __('Calendar'),
			'menu-item-classes' => 'calendar',
			'menu-item-url' => home_url( '/calendar' ),
			//'menu-item-type' => 'page',
			'menu-item-status' => 'publish'));
			
		//}
		//if ( !in_array("event-category", $menuname_arr)){
			
			wp_update_nav_menu_item($menu->term_id, 0, array(
			'menu-item-title' =>  __('Event Category'),
			'menu-item-classes' => 'topics-dropdown',
			'menu-item-url' => home_url( '/event-category' ),
			//'menu-item-type' => 'page',
			'menu-item-status' => 'publish'));
			
		//}
		//if ( !in_array("category-accordion", $menuname_arr)){
			
			wp_update_nav_menu_item($menu->term_id, 0, array(
			'menu-item-title' =>  __('Category Accordion'),
			'menu-item-classes' => 'category-accordion',
			'menu-item-url' => home_url( '/category-accordion' ),
			//'menu-item-type' => 'page',
			'menu-item-status' => 'publish'));
			
			
		//}
		$locations =  get_registered_nav_menus();

			if(!empty($locations))
			{
				foreach($locations as $locationId => $menuValue)
				{
					switch($locationId)
					{
						case 'admin-menu-location':
							$menu = get_term_by('name', 'Admin Menu', 'nav_menu');
						break;
			
						case 'author-menu-location':
							$menu = get_term_by('name', 'Author Menu', 'nav_menu');
						break;
			
						case 'subscriber-menu-location':
							$menu = get_term_by('name', 'Default Menu', 'nav_menu');
						break;
					}
			
					if(isset($menu))
					{
						$locations[$locationId] = $menu->term_id;
					}
				}
			
				set_theme_mod('nav_menu_locations', $locations);
			}
			*/
}

}
